<div class="wrap">
	<h2>Latest Tweet</h2>
	<form method="post" accept-charset="utf-8">
		<fieldset id="required_settings">
			<h3>Basic Settings</h3>
			<table class="form-table">
				<tr valign="top">
					<th scope="row">Twitter Username</th>
					<td><input type="text" name="latest_tweet_screen_name" value="<?php echo $settings['screen_name']; ?>" /></td>
				</tr>
			</table>
		</fieldset>
		
		<fieldset id="cache_settings">
			<h3>Cache Settings</h3>
			<table class="form-table">
				<tr valign="top">
					<th scope="row">Number of Tweets to Check</th>
					<td><input type="text" name="latest_tweet_tweets_to_check" value="<?php echo $settings['tweets_to_check']; ?>" /></td>
				</tr>
				<tr valign="top">
					<th scope="row">{old} Cache Expiration (seconds)</th>
					<td><input type="text" name="latest_tweet_expires" value="<?php echo $settings['expires']; ?>" /></td>
				</tr>
				<tr valign="top">
					<th scope="row"><label for="latest_tweet_cache_update">Cache Update Frequency</label></th>
					<td>
						<select name="latest_tweet_cache_update" id="latest_tweet_cache_update">
							<option <?php if($settings['cache_update'] == 'manual') { echo 'selected="selected"'; } ?> value="manual">manual</option>
							<option <?php if($settings['cache_update'] == 'hourly') { echo 'selected="selected"'; } ?> value="hourly">hourly</option>
							<option <?php if($settings['cache_update'] == 'twicedaily') { echo 'selected="selected"'; } ?> value="twicedaily">twice daily</option>
							<option <?php if($settings['cache_update'] == 'daily') { echo 'selected="selected"'; } ?> value="daily">daily</option>
						</select>
						Next update: 
						<?php
							$nextupd = wp_next_scheduled('latest_tweet_scheduled_update');
							if ($nextupd) echo date_i18n(get_option('date_format') . ' \a\t ' . get_option('time_format'), $nextupd + get_option('gmt_offset') * 3600, true);
							else echo '<code>Not scheduled</code>';
						?>
					</td>
				</tr>
			</table>
		</fieldset>
		
		<fieldset id="output_settings">
			<h3>Output Settings</h3>
			<table class="form-table">
				<tr valign="top">
					<th scope="row">
						<label for="latest_tweet_html_template">Output Template</label>
						<br /><em style="font-size:11px"><a href="#latest_tweet_metatags">metatag info</a> below</em>
					</th>
					<td><textarea name="latest_tweet_html_template" id="latest_tweet_html_template" rows="5" cols="80" style="font-family:monospace;font-size:11px"><?=stripslashes($settings['html_template']); ?></textarea></td>
				</tr>
			</table>
		</fieldset>
		
		<fieldset id="debugging">
			<h3>Debugging</h3>
			<table class="form-table">
				<tr valign="top">
					<th scope="row"><label for="latest_tweet_debug">Debug Mode?</label></th>
					<td><input name="latest_tweet_debug" type="checkbox" id="latest_tweet_debug" <?php if ($settings['debug']) { echo 'checked="checked"'; } ?> /></td>
				</tr>
			</table>
		</fieldset>

		<div class="submit">
			<input type="submit" name="save_latest_tweet_settings" value="<?php _e('Save Settings') ?>" class="button-primary" />
		</div>
	</form>
	
	<hr />

	<h3 id="latest_tweet_metatags">Output Metatags</h3>
	<p>
		You can use the metatags below in your template code to insert the data you'd like to output.
	</p>
	<ul>
		<li><code>%screen_name%</code> Twitter screen name</li>
		<li><code>%followers%</code> Current follower count</li>
		<li><code>%tweet_id%</code> Tweet ID on twitter site (for URL)</li>
		<li><code>%tweet_raw%</code> Raw tweet  (no links)</li>
		<li><code>%tweet%</code> Tweet with links</li>
		<li><code>%created_at%</code> Timestamp from latest tweet</li>
		<li><code>%rel_time%</code> Calculated relative time since created_at</li>
	</ul>

	<hr />
	
	<h3>Manual Actions</h3>
	<form method="post" class="actions" style="margin-bottom: 20px">
		<input type="submit" class="button-primary" name="latest_tweet_UpdateCache" value="Update Now" />
		<input type="submit" class="button-secondary" name="latest_tweet_ResetSchedule" value="Reset Scheduled Updates" />
		<input type="submit" class="button-secondary" name="latest_tweet_ClearCache" value="Clear Cache" onclick="if ( confirm('You are about to delete all cached posts.  You should initiate a manual update after this completes.\n  \'Cancel\' to stop, \'OK\' to delete.') ) { return true;}return false;" />
		<input type="submit" class="button" name="latest_tweet_ResetPlugin" value="Reset Plugin" onclick="if ( confirm('You are about to delete all settings and caches for this plugin.\n  \'Cancel\' to stop, \'OK\' to delete.') ) { return true;}return false;" />
	</form>
	
	<hr />

	<div id="poststuff" class="meta-box-sortables"> 
		<script> 
			jQuery(document).ready(function($) {
				$('.postbox').children('h3, .handlediv').click(function(){
					$(this).siblings('.inside').toggle();
				});
			});
		</script>
		<div class="postbox">
			<div class="handlediv" title="Click to toggle"> <br/></div>
			<h3 style="cursor:pointer">View Current Cache</h3>
			<div class="inside" style="display:none">
				<?php $this->output_cache(); ?>
			</div>
		</div>
	</div>

</div>